function work = plotSpinDiffErrorFun(percent, user, work)

if user.isoAniso == 1
    
    figure(work.numberOfFig)
    work.numberOfFig = work.numberOfFig + 1;
    res = 1:length(percent);
    bar(res, percent, 0.7)
    hold on
    title({'relativ error due to Spin Diffusion (isotropic calculation)'}, 'fontsize',10, 'fontweight','b')
    xlabel('entry number', 'fontsize', 10)
    ylabel('correction (isotropic) [%]', 'fontsize', 10)

    saveas (gca, work.sIsoRelativeError,'png');

elseif user.isoAniso == 2
    
    figure(work.numberOfFig)
    work.numberOfFig = work.numberOfFig + 1;
    res = 1:length(percent);
    bar(res, percent, 0.7)
    hold on
    title({'relativ error due to Spin Diffusion (anisotropic calculation)'}, 'fontsize',10, 'fontweight','b')
    xlabel('entry number', 'fontsize', 10)
    ylabel('correction (anisotropic) [%]', 'fontsize', 10)

    saveas (gca, work.sAnIsoRelativeError,'png');
    
end